Subject: bug#21297: 11.88.7; Previews not restored between Emacs sessions

From: Tassilo Horn <[email-masked]>
Date: Thu, 20 Aug 2015 17:17:55 +0200

[email-masked] writes:

Hi!

> I've just noticed that previews are not restored between Emacs
> sessions, even if Desktop is active. This is happening with a minimal
> init file (see below).
>
> More in detail, I:
> - start Emacs and open a LaTeX file, move the cursor a couple screenfuls down,
> - run preview on the file; previews are generated,
> - quit Emacs and get the prompt "Save Desktop?", to which I answer "yes",
> - start Emacs again; the frame of the LaTeX file is restored, with cursor at
> the same position as the last session. No previews are visible, though.
>
>
> Note that the previews are restored between sessions if I include
>
> (require 'preview)
>
> towards the beginning of my init file.  Doing so, however, breaks
> several paths (more precisely, my "TeX-macro-global" and
> "TeX-tree-roots" are overwritten - why? - and I get "'c:/PROGRAM' is
> not recognized as an internal or external command..." warnings).

Does anything change when you require preview after the
custom-set-variables?

Bye,
Tassilo